Skip to content
Permalink
Browse files

Add a dependancy to geographiclib

  • Loading branch information
nyalldawson committed Jan 2, 2019
1 parent 4145073 commit 148505d47f3a559cd9a6ca4274fd36c0dbb88ca8
@@ -30,6 +30,7 @@ RUN apt-get update \
libfcgi-dev \
libgdal-dev \
libgeos-dev \
libgeographic-dev \
libgsl-dev \
libpq-dev \
libproj-dev \
@@ -30,6 +30,7 @@ RUN apt-get update \
libexpat1-dev \
libfcgi-dev \
libgdal-dev \
libgeographic-dev \
libgeos-dev \
libgsl-dev \
libpq-dev \
@@ -297,6 +297,7 @@ IF(WITH_CORE)
FIND_PACKAGE(GDAL)
FIND_PACKAGE(Expat REQUIRED)
FIND_PACKAGE(Spatialindex REQUIRED)
FIND_PACKAGE(GeographicLib REQUIRED)
IF (WITH_GUI)
FIND_PACKAGE(Qwt REQUIRED)
ENDIF (WITH_GUI)
@@ -10,6 +10,7 @@ Build-Depends:
dh-python,
flex,
grass-dev,
libgeographic-dev,
libexiv2-dev,
libexpat1-dev,
libfcgi-dev,
@@ -186,6 +187,7 @@ Depends:
libexiv2-dev,
libexpat1-dev,
libgdal-dev (>= 1.11),
libgeographic-dev,
libgeos-dev (>= 3.0.0),
libgsl-dev,
libpq-dev,
@@ -264,7 +264,7 @@ new subdirectory called `build` or `build-qt5` in it.
=== Install build dependencies ===

```
dnf install qt5-qtwebkit-devel qt5-qtlocation-devel qt5-qttools-static qca-qt5-devel qca-qt5-ossl qt5-qt3d-devel python3-qt5-devel python3-qscintilla-qt5-devel qscintilla-qt5-devel python3-qscintilla-devel python3-qscintilla-qt5 clang flex bison geos-devel gdal-devel sqlite-devel libspatialite-devel qt5-qtsvg-devel qt5-qtxmlpatterns-devel spatialindex-devel expat-devel proj-devel qwt-qt5-devel gsl-devel postgresql-devel cmake python3-future gdal-python3 python3-psycopg2 python3-PyYAML python3-pygments python3-jinja2 python3-OWSLib qca-qt5-ossl qwt-qt5-devel qtkeychain-qt5-devel qwt-devel sip-devel libzip-devel exiv2-devel
dnf install qt5-qtwebkit-devel qt5-qtlocation-devel qt5-qttools-static qca-qt5-devel qca-qt5-ossl qt5-qt3d-devel python3-qt5-devel python3-qscintilla-qt5-devel qscintilla-qt5-devel python3-qscintilla-devel python3-qscintilla-qt5 clang flex bison geos-devel gdal-devel sqlite-devel libspatialite-devel qt5-qtsvg-devel qt5-qtxmlpatterns-devel spatialindex-devel expat-devel proj-devel qwt-qt5-devel gsl-devel postgresql-devel cmake python3-future gdal-python3 python3-psycopg2 python3-PyYAML python3-pygments python3-jinja2 python3-OWSLib qca-qt5-ossl qwt-qt5-devel qtkeychain-qt5-devel qwt-devel sip-devel libzip-devel exiv2-devel GeographicLib-devel
```

To build QGIS server additional dependencies are required:
@@ -67,6 +67,7 @@ BuildRequires: libspatialite-devel
BuildRequires: proj-devel
BuildRequires: spatialindex-devel
BuildRequires: grass-devel
BuildRequires: GeographicLib-devel

# Other stuff
BuildRequires: exiv2-devel
@@ -1250,8 +1250,10 @@ INCLUDE_DIRECTORIES(SYSTEM
${QCA_INCLUDE_DIR}
${QTKEYCHAIN_INCLUDE_DIR}
${Qt5SerialPort_INCLUDE_DIRS}
${GeographicLib_INCLUDE_DIR}
)

ADD_DEFINITIONS(${GeographicLib_DEFINITIONS})

IF (HAVE_OPENCL)
SET(QGIS_CORE_SRCS ${QGIS_CORE_SRCS}
@@ -1378,6 +1380,7 @@ TARGET_LINK_LIBRARIES(qgis_core
${SQLITE3_LIBRARY}
${SPATIALITE_LIBRARY}
${LIBZIP_LIBRARY}
${GeographicLib_LIBRARIES}
)

IF (Qt5SerialPort_FOUND)

0 comments on commit 148505d

Please sign in to comment.
You can’t perform that action at this time.